﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace TabControl_DataContext
{
	public class MainViewModel : ViewModelBase
	{
		ObservableCollection<ChildItem> tabItemsCollection;

		public MainViewModel()
		{
			this.TabItemsCollection = this.GenerateItems();
		}

		private ObservableCollection<ChildItem> GenerateItems()
		{
			var items = new ObservableCollection<ChildItem>();
			for (int i = 0; i < 5; i++)
			{
				var item = new ChildItem() 
				{ 
					ChildCollection = new ObservableCollection<string>() { "a" + i, "b" + i, "c" + i },
					Header = "Header "+i,
				};
				items.Add(item);
			}
			return items;
		}

		public ObservableCollection<ChildItem> TabItemsCollection
		{
			get
			{
				return this.tabItemsCollection;
			}
			set
			{
				this.tabItemsCollection = value;
				this.OnPropertyChanged("TabItemsCollection");
			}
		}
	}
}
